groups:
- name: health alerts
  rules:
  - alert: KubeJobFailedWorkload
    expr: kube_job_failed{job="kube-state-metrics", namespace=~".*"}  > 0
    for: 15m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'k8s'
    annotations:
      description: 'Job {{ $labels.namespace }}/{{ $labels.job_name }} failed to complete. Removing failed job after investigation should clear this alert.'
      runbook_url: ''
      summary: 'Job failed to complete.'
